---
id: ci-application-parameter-read
title: Retrieve a specific parameter for an application
description: >-
  Retrieve a specific parameter for an application by providing its ID and the
  parameter name.
sidebar_label: Retrieve a specific parameter for an application
hide_title: true
hide_table_of_contents: true
api: >-
  eJy1VMtu2zAQ/BVhm0MLCJaT9qSb4aSF20sRpygKwzBoamUxkUiFXLkxBP57sZSjyM6jTYD6Ipnizs7MPlrI0EmralJGQwqXSFbhFiMRuRqlypWMamFFhYQ2yo2NhI5EXZdKCg6J1ruotmarMqU3kSIXzc4jobOIChwEalHhCGIgsXGQLmA6S6bnsIzB1GgD0CyDFKRaDbBXfXxqUWQQQ3/AIC0wKqSg+JNi9rWgAmKweNsoixmkZBuMwckCKwFpC7SrQ4Qm3KAFHx/JvyqQBZg88B9wGYGP+4Th8cqUjqzSm6czMt59zl7iCPyScV1ttEPHUGfjMT8OAb73Jtt97bLINVKic3lTlju2XRpNqImDB5qSa8cI7WOyZn2NkthwywUi1eXv5B9LeoWiGPBOVHXJ0ZOf89VkOr2Yz1ffLn6xMVtRNv+IH67+JYE4Pfs4X8vs08m7E8yD9Q6lRRqkWBtTotCPcsx0xiahi34XSAXao35WjgckoB0k5eJ7HwMp6kQ+uN3XCTz/ApnGKtqFVl6jsGgnDRWQLpZc+QqpMDwUGwyV4D5LIRnWr1WZT3pSScuue2Bku72fkcaWkEJBVLs0SaQa6aYs61JQbmw1kqYKbXbPZc6d0BV7yKj3i3Fg393Bv3AJ4v3LZ2MrQZDC159XwBqVzk0I3/vRzX0MTK9z+nQ0Ho25NrVxVAn90Gev3kXHVWwf+v6/77XOHsI7SupSKM2KgvXtvnILOGSaqoOFxidB9jKGwjjigLZdC4c/bOk9H982aLlZljwpVok1O7poIVOO3zNIc1E6fMGE95f7LfUhemHRPaNmfyj0DvpRBYjhBnfdDuYF+WYuzy6MN3AJPvqlj6FAkaENLnWfJlJiTYOgR+vwYPS+XFxBDOJwBo56PqA/SahtuxtX5ga19z0/4v9M0Ps/jRyR1w==
sidebar_class_name: get api-method
info_path: docs/api/ci-cd
custom_edit_url: null
canonical: 'https://docs.nullplatform.com/docs/api/ci-application-parameter-read'
---
<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Retrieve a specific parameter for an application"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/application/{id}/parameter/{name}"}
  context={"endpoint"}
>

</MethodEndpoint>

Retrieve a specific parameter for an application by providing its ID and the parameter name.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"name":"id","in":"path","required":true,"schema":{"type":"integer"},"description":"The ID of the application."},{"name":"name","in":"path","required":true,"schema":{"type":"string"},"description":"The name of the parameter."}]}
>

</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>

</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"Parameter retrieved successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"The name of the parameter.","example":"AWS_ACCESS_KEY"},"value":{"type":"string","description":"The value of the parameter.","example":"a123Sbcd4$#$efg"},"secret":{"type":"boolean","description":"Indicates whether the parameter is a secret.","example":true}},"title":"ApplicationParameter"}}}}}}
>

</StatusCodes>

